cutlass::reduction::BatchedReduction< BatchedReductionTraits_ > Struct Template Reference

`#include <batched_reduction.h>`

## Public Types

typedef BatchedReduction< BatchedReductionTraits_ > | This_
| This class. More...
typedef BatchedReductionTraits_ | Traits
| The traits. More...
typedef Traits::Params | Params
| Params. More...
typedef Traits::Functor | Functor
| functor More...

## Public Member Functions

CUTLASS_DEVICE | BatchedReduction (Params const &params_)
| ctor More...
CUTLASS_DEVICE void | run ()
template<bool ThreadShapeMultiple2>
CUTLASS_DEVICE void | functor_caller (typename Traits::ScalarAccum const *accum, typename Traits::ScalarAccum const *old, typename Traits::ScalarAccum *output)

## Static Public Member Functions

static __host__ cudaError_t | launch (Params const &params, cudaStream_t stream=cudaStreamDefault)
| Launch the kernel. More...

## Public Attributes

Params const & | params
| The params. More...
Functor | functor

## Member Typedef Documentation

template<typename BatchedReductionTraits_ >

typedef Traits::Functor cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::Functor

template<typename BatchedReductionTraits_ >

typedef Traits::Params cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::Params

template<typename BatchedReductionTraits_ >

typedef BatchedReduction<BatchedReductionTraits_> cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::This_

template<typename BatchedReductionTraits_ >

typedef BatchedReductionTraits_ cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::Traits

## Constructor & Destructor Documentation

template<typename BatchedReductionTraits_ >

CUTLASS_DEVICE cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::BatchedReduction | ( | Params const & | params_ | ) |

inline

## Member Function Documentation

template<typename BatchedReductionTraits_ >
template<bool ThreadShapeMultiple2>

CUTLASS_DEVICE void cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::functor_caller | ( | typename Traits::ScalarAccum const * | accum,
|  | typename Traits::ScalarAccum const * | old,
|  | typename Traits::ScalarAccum * | output
| ) |  |

inline

template<typename BatchedReductionTraits_ >

static __host__ cudaError_t cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::launch | ( | Params const & | params,
|  | cudaStream_t | stream = `cudaStreamDefault`
| ) |  |

inlinestatic

template<typename BatchedReductionTraits_ >

CUTLASS_DEVICE void cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::run | ( |  | ) |

inline

main operation method D = alpha * Reduction(A) + beta * C

## Member Data Documentation

template<typename BatchedReductionTraits_ >

Functor cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::functor

template<typename BatchedReductionTraits_ >

Params const& cutlass::reduction::BatchedReduction< BatchedReductionTraits_ >::params

The documentation for this struct was generated from the following file:

- batched_reduction.h